@import url('https://fonts.googleapis.com/css2?family=Abril+Fatface&family=EB+Garamond&display=swap');

* {
    font-family: 'EB Garamond', serif;
    font-size: 14pt;
}

h1, h2, h3 {
    font-family: 'Abril Fatface', cursive;
    color: #8D80AD;
    text-align: center;
    font-size: 24pt;
}

body {
    width: min(80vw, 96vw);
    margin: 5rem auto;
    padding: 1rem;
}

label input {
    display: block;
    width: calc(100% - 2em - 4px);
    padding: 1em;
    border: none;
}

.button, input[type="submit"] {
    border: none;
    padding: 1em;
    width: calc(100% - 2em - 4px);
    cursor: pointer;
    background: #DADADA;
    transition: background 0.1s ease-in;
    display: block;
    text-align: center;
    text-decoration: none;
    color: black;
}

input[type="submit"] {
    width: 100%;
}

.button:hover, input[type="submit"]:hover {
    background: #D0D0D0;
}

table, tr, td {
    border: 2px solid #8D80AD;
    border-collapse: collapse;
}

td {
    text-align: center;
    padding: 0.5em;
}

table {
    margin: auto;
    overflow: auto;
    max-width: 100%;
}

tr {
    background: white;
    
}

tr:hover {
    background: #99B2DD;
}

.unicode {
    display: grid;
    flex-wrap: wrap;
    list-style: none;
    grid-template-columns: repeat(16, 1fr);
    padding: 0;
}

.unicode li {
    border: 2px solid #8D80AD;
    text-align: center;
    border-collapse: collapse;
    padding: 1em;
    transition: transform 0.1s ease-in-out;
}

.unicode [type="yell"] {
    background-color: yellow;
}

.unicode [type="whi"] {
    background-color: white;
}

.unicode li:hover {
    transform: scale(1.5);
}

.unicode li::after {
    display: none;
    background: black;
    position: absolute;
    top: 100%;
    left: 100%;
    color: white;
    text-align: center;
    content: attr(title);
    opacity: 0;
    transition: opacity 0.1s ease-in;
    padding: 1em;
    font-size: 8pt;
    min-width: 100%;
    width:20ch;
}

.unicode li:hover::after {
    opacity: 1;
    display: block;
}

a {
    color: #8D80AD;
    font-size: 10pt;
}
